Skip to content

Reservation Retrieve

Request

Retrieve details about a held booking or PNR.
While a PNR refers to a held booking that has not been ticketed, the PNR code persists after ticketing to provide the booking records. If the booking has been ticketed, Reservation Retrieve returns booking, payment, and ticketing details.

Reservation Retrieve returns air, hotel, and/or car segments for any reservation that includes that content, called a multi-content booking. All segments must have been booked with the TripServices Flights APIs, TripServices Stays APIs, TripServices Car APIs (release pending), or a Travelport+ terminal program. You can add either GDS or NDC air offers to a hotel and/or car booking, but not both. See the Multi-content Booking Guide (Air, Hotel, Car) for workflows and examples.

The TripServices Flights APIs provide the following APIs to retrieve bookings and tickets:

  • To retrieve all booking details, use Reservation Retrieve. Returns all booking, payment, and ticketing information currently on a booking.
  • To retrieve a ticketed itinerary from a ticket number, use Ticket Display.
  • To retrieve a list of all ticket numbers on a booking, use Ticket List.
  • To retrieve details for all tickets associated with a booking (GDS only), or for a single ticket for NDC, use Ticket Retrieve.
  • To return a list of documents on a booking, such as tickets, invoices, MCOs, and EMDs, use Document List.
  • To return histories of up to six documents on a booking, such as tickets, invoices, MCOs, and EMDs, use Document History.
Security
bearerAuth
Path
Identifierstring, <= 128 charactersrequired

The Reservation Identifier or Record Locator for the Reservation you wish to retrieve.

Example:DVZJ8M
Query
authoritystring, <= 128 characters

The authorizing entity creating the identifier

Example:authority=TVPT
detailViewIndboolean

The detail view returns any document override, accounting, historical, and DOCI remarks added to the booking, and any custom rules added to a booking.

  • If true: Returns detail view.
  • If false (default behavior): Does not return detail view.
viewBrandCompleteInfoIndboolean

GDS only; not supported for NDC.
Request the return of brand attributes in the reservation retrieve.

  • If true: Returns complete information for brand attributes in Offer/Product/PassengerFlight/FlightProduct/Brand.
  • If false (default behavior): Does not return brand attributes.
viewBaggageDetailIndboolean

GDS only; not supported for NDC.
Request the return of baggage dimension and fee details in the reservation retrieve.

  • If true: Returns additional baggage details in TermsAndConditionsFull/BaggageAllowance.
  • If false (default behavior): Does not return baggage details
identifierTypestring(IdentifierTypeENUM)

The type of identifier key used to retrieve the reservation.
Typically sent as 'Locator' with Identifier as the Locator Code (PNR) to retrieve booking information.

Enum:"Reservation""Locator""SupplierLocator""DocumentNumber"
Example:identifierType=Locator
documentTypestring(DocumentTypeEnum)

When DocumentNumber is selected in identifierType, use documentType to identify the type of document.

Enum ValueDescription
EMD

Electronic Miscellaneous document

MCO

Miscellaneous Charge order

Ticket

Ticket

TASF

Travel Agency Service Fee

Invoice

Invoice

Example:documentType=Ticket
includeFlightAmenitiesIndboolean

Request the return of additional flight amenities, provided by ATPCO as RouteHappy data.

  • If true: Returns flight amenity data in ReferenceList/ReferenceListAmenity.
  • If false (default behavior): Does not return flight amenity data.
retrieveNonGDSSourceReservationIndboolean

If true, reservation information will be retrieved directly from the source supplier.

Headers
TraceIdstring, [ 10 .. 89 ] characters

Identifier used to correlate Air API invocations across a multi-call business flows.

Example:TraceID_123456789
XAUTH_TRAVELPORT_ACCESSGROUPstring, = 36 characters([a-zA-Z-0-9-_]*)

Identifies the Travelport access group with which the caller is associated

Example:19Y88702-C27A-4E5D-829A-89D7016688B1
travelportPlusSessionIdentifierstring, [ 0 .. 100 ] characters([a-zA-Z-0-9-_]*)

travelportPlusSessionIdentifier used to maintain an established agency session

Example:49f58f5f-c443-43b4-9f5d-be405fd00a01
TVP-PCC-Corestring^[a-zA-Z\d]{3,4}_\w{2}$

Allows user to pass PCC instead of Access Group ID

Example:DU7_1G
curl -i -X GET \
  'https://developer.travelport.com/_mock/apis/flights/air/book/reservation/reservations/DVZJ8M?authority=TVPT&detailViewInd=true&viewBrandCompleteInfoInd=true&viewBaggageDetailInd=true&identifierType=Locator&documentType=Ticket&includeFlightAmenitiesInd=true&retrieveNonGDSSourceReservationInd=true' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'TVP-PCC-Core: DU7_1G' \
  -H 'TraceId: TraceID_123456789' \
  -H 'XAUTH_TRAVELPORT_ACCESSGROUP: 19Y88702-C27A-4E5D-829A-89D7016688B1' \
  -H 'travelportPlusSessionIdentifier: 49f58f5f-c443-43b4-9f5d-be405fd00a01'

Responses

OK - Successful Response - 200

Bodyapplication/json
ReservationResponseobject(ReservationResponse)

The response of a Create Reservation (Reference or Full Payload), Sync Reservation, Modify/Add Reservation, Create/Modify Passive Reservation, Retrieve Reservation, or Cancel Reservation endpoint. The structure detailed here is the same as for all of these API responses. For Post-Commit Workbench Create and Workbench Retrieve, the response is structured the same plus a workbench identifier. The information returned in the Reservation Retrieve response varies depending on the information that has been added to the reservation at the time of retrieve, whether the reservation has been ticketed, and whether the reservation was created using the Travelport TripServices APIs or another program.

Please note the requests for Workbench Commit (Create Reservation), Post-Commit Workbench Create, and Workbench Retrieve do not support the query parameters available in Reservation Retrieve and do not return the following:

  • any document override, accounting, historical, and DOCI remarks
  • any custom rules
  • brand attributes
  • baggage dimension and fee details
  • fare rules
  • ATPCO RouteHappy flight amenities
Response
{ "ReservationResponse": { "@type": "response", "transactionId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "traceId": "TraceID_123456", "correlationId": "48fb4cd3-2ef6-4479-bea1-7c92721b988c", "reservationStatus": "Success", "Result": { "@type": "Result", "status": "Complete", "Error": [], "Warning": [] }, "Identifier": { "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E", "authority": "TVPT" }, "NextSteps": { "baseURI": "string", "id": "5", "NextStep": [] }, "ReferenceList": [ {} ], "CurrencyRateConversion": [ {} ], "Pagination": { "@type": "Pagination", "page": 1, "pageSize": 20, "totalPages": 5, "totalItems": 100 } } }